GraphiQL open_in_new

# `Commit`

Represents a Git commit.

## GraphQL Schema definition `

- type Commit implements Node, GitObject {
- # Authorship details of the commit.
- author: GitActor
- # Fetches `git blame` information.
- #
- # Arguments
- # path: The file whose Git blame information
- # you want.
- blame(path: String!): Blame!
- # Comments made on the commit.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- comments(first: Int, after: String, last: Int, before: String): CommitCommentConnection!
- # Check if commited via GitHub web UI.
- committedViaWeb: Boolean!
- # Committership details of the commit.
- committer: GitActor
- # The linear commit history starting from (and including)
- # this commit, in the same order as `git log`.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # path: If non-null, filters history
- # to only show commits touching files under this path.
- # author: If non-null, filters history
- # to only show commits with matching authorship.
- # since: Allows specifying a beginning
- # time or date for fetching commits.
- # until: Allows specifying an ending
- # time or date for fetching commits.
- history(first: Int, after: String, last: Int, before: String, path: String, author: CommitAuthor, since: GitTimestamp, until: GitTimestamp): CommitHistoryConnection!
- id: ID!
- # The Git commit message
- message: String!
- # The Git commit message body
- messageBody: String!
- # The commit message body rendered to HTML.
- messageBodyHTML: HTML!
- # The Git commit message headline
- messageHeadline: String!
- # The commit message headline rendered to HTML.
- messageHeadlineHTML: HTML!
- # The Git object ID
- oid: GitObjectID!
- # The HTTP path for this commit
- path: URI!
- # The Repository this commit belongs to
- repository: Repository!
- # Commit signing information, if present.
- signature: GitSignature
- # Status information for this commit
- status: Status
- # Commit's root Tree
- tree: Tree!
- # The HTTP url for this commit
- url: URI!
- # The websocket channel ID for live updates.
- websocket: String!
- }

`